<!DOCTYPE html>
<html lang="ru">
    <head>
        <meta charset="utf-8">
        <link rel="stylesheet" href="style.css" type="text/css">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" 
        integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
        <title>Задание 4</title>
    </head>
    <body id="body" class="container m-auto w-100 col-12 col-lg-7">
        <header class="container-fluid px-0 pt-1 pb-0 mx-0 mt-1 mb-0">
            <div class="container-fluid text-center">
                <a href="http://example.com">
                    <img id="logo" class="float-left logo1 p-auto " src="qwer_M.jpg">
                </a>
                <h1 class="pt-5">Web 4</h1>
            </div>
        </header>

        <nav>
            <ul id="nav" class="container-fluid navbar my-1 mx-0 text-center">
                <div class="col-12 col-lg-3"><a class="nav-link" href="#link_hiper">Нумерованный список гиперссылок</a></div>
                <div class="col-12 col-lg-3"><a class="nav-link" href="#link_form">Таблица</a></div>
                <div class="col-12 col-lg-3"><a class="nav-link" href="#link_table">Форма</a></div>
            </ul>
        </nav>
        <a id="top"></a>
        <div class="d-flex flex-column">
            <div id="one" class="container-fluid p-0 mt-0 mb-1 mx-0 order-0 order-lg-0">
            </br>
                <h2 id="link_hiper" class="text-center">Нумерованный список гиперссылок</h2>
                <ol class="text-center">
                    <select  onchange="window.location.href=this.options[this.selectedIndex].value">
                        <option>Перейти</option>
  
                        <option VALUE="test_link" href="http://example.com/">Абсолютная гиперссылка на главную страницу сайта example.com  </option>         </li>
                        <option VALUE="https://example.com">Абсолютная на главную сайта example.com в протоколе https                      </option>
                        <option VALUE="ftp://example.com/files/file.html">Ссылка на файл на сервере FTP без авторизации                    </option>
                        <option VALUE="ftp://user:123@example.com/files/file.html">Ссылка на файл на сервере FTP с авторизацией            </option>
                        <option VALUE="http://example.com/#anchor">Ссылка на фрагмент страницы некоторого сайта                            </option>
                        <option VALUE="#top">Ссылка на фрагмент текущей страницы                                                           </option>                                     
                        <option VALUE="http://example.com?parameter1=p1&parameter2=p2">Ссылка с двумя параметрами в URL                     </option>
                        

                        <option VALUE="ty">Ссылка без href         </option>                                                                               
                        <option VALUE=" ">Ссылка с пустым href     </option>
                        <option VALUE="http://example.com" rel="nofollow">Ссылка, по которой запрещен переход поисковикам</option>
                        <option VALUE="http://example.com" rel="nofollow"><!--noindex-->Ссылка, запрещенная для индексации поисковиками<!--/noindex--></option>
                        <option VALUE="page.html"> Относительная ссылка на страницу в текущем каталоге   </option>
                        <option VALUE="./about/page.html"> Относительная ссылка на страницу в каталоге about  </option>
                        <option VALUE="../page.html"> Относительная ссылка на страницу в каталоге уровнем выше текущего </option>
                        <option VALUE="../../page.html"> Относительная ссылка на страницу в каталоге двумя уровнями выше </option>
                        <option VALUE="/">Сокращенная ссылка на главную      </option>
                        <option VALUE="/pages/page">Сокращенная ссылка на внутреннюю   </option>
                
                    </select> 
                    <br />
                    <br />    

                    <li>Контекстная <a href="http://example.com"> ссылка </a> в тексте абзаца   </li>      
                    <br />  

                    <li> Ссылка-изображение <br /> <a href="http://example.com">                    
                    <img
                        src="https://i.pinimg.com/564x/db/bd/2e/dbbd2ec44c1b204ea3c2c390d6560107.jpg"
                        width="300"
                        heidht="400"
                        alt="Описание картинки"
                    />  </a>
                    </li>   
                    <br />

                    <li> Ссылка из прямоугольных и круглых областей картинки                     
                        <br />
                        
                        <img
                            src="https://i.pinimg.com/564x/46/02/29/46022975c22997b100261cfc3632d90f.jpg"
                            width="400"
                            heidht="550"
                            alt="Описание картинки"
                            usemap="#Mount_map"
                        />
                        <map name="Mount_map">
                            <area
                            shape="rect"
                            coords="200,100,340,300"
                            href="https://en.wikipedia.org/wiki/Sky"
                            alt="Прямоугольная область"
                            />
                            <area
                            shape="circle"
                            coords="200,550,120"
                            href="https://en.wikipedia.org/wiki/Mountain_river"
                            alt="Круглая область"
                            />
                        </map>
                    </li>
                    
                
                </ol>
            </div>

            
            <div id="two" class="container-fluid p-0 mt-0 mb-1 mx-0 order-2 order-lg-1">
                <h2 id="link_form" class="text-center">Таблица</h2>
                <table class="container mx-auto my-3 w-75 text-center">
                
                        <tr>
                            <th colspan="4" >Название </th>
                        </tr>
                        <tr>
                            <td rowspan="5">Ячейка</td>
                            <td>Ячейка 11 </td>
                            <td>Ячейка 12</td>
                            <td>Ячейка 13</td>
                       
                        </tr>
                        <tr>
                            <td colspan="3" >Ячейки 21, 22 и 23</td>
                        </tr>
                        <tr>
                            <td>Ячейка 31</td>
                            <td>Ячейка 32</td>
                            <td>Ячейка 33</td>
                        </tr>
                        <tr>
                            <td colspan="3">Ячейки 41, 42 и 43
                        </tr>
                        <tr>
                            <td>Ячейка 51</td>
                            <td>Ячейка 52</td>
                            <td>Ячейка 53</td>
                        </tr>
                    
                </table>

            </div>
    
            </div>
            <div id="three" class="container-fluid pt-0 pb-3 px-0 mt-0 mb-1 mx-0 order-1 order-lg-2 text-center">
                <h2 id="link_table">Форма</h2>
                <form action="http://example.com" method="POST">
                    <label>
                        Имя:<br/>
                        <input name="yourname"
                        value="имя"/>
                    </label><br/>
                    <label>
                        e-mail:<br/>
                        <input name="e-mail"
                        value="test@example.com"
                        type="email"/>
                    </label><br/>
                    <label>
                        Дата рождения:<br/>
                        <input name="dateofbirth" value="2000-01-01" type="date"/>
                    </label><br/>
                    Количество конечностей:<br/>
                    <label>
                        <input type="radio" name="radio-group-1" value="1"/>
                        1
                    </label>
                    <label>
                        <input type="radio" name="radio-group-1" value="2"/>
                        2
                    </label>
                    <label>
                        <input type="radio" name="radio-group-1" value="3"/>
                        3
                    </label>
                    <label>
                        <input type="radio" checked="checked" name="radio-group-1" value="4"/>
                        4
                    </label>
                    <label>
                        <input type="radio" name="radio-group-1" value="5"/>
                        5
                    </label><br/>
                    <label>
                        Сверхспособности:<br/>
                        <select name="p" multiple="multiple">
                            <option value="immortality" selected="selected">бессмертие</option>
                            <option value="passingthroughwalls">прохождение сквозь стены</option>
                            <option value="levitation">левитация</option>
                        </select>
                    </label><br/>
                    <label>
                        Биография:<br/>
                        <textarea name="bio">биография</textarea>
                    </label><br/>
                    С контрактом ознакомлен:<br/>
                    <label>
                        <input type="checkbox" checked="checked" name="check-1"/>
                    </label><br/>
                    <input type="submit" value="Отправить"/>
                </form>
            </div>
        </div>
        <footer class="conteiner-fluid text-left p-1 mt-0 mb-1 mx-0">(c) Лысов Владислав 2020</footer>
    </body>
</html>

